Package org.eclipse.e4.ui.css.core.dom

# Interface ExtendedDocumentCSS

All Superinterfaces:
  `DocumentCSS`, `DocumentStyle`

All Known Implementing Classes:
  `DocumentCSSImpl`

public interface ExtendedDocumentCSS extends DocumentCSS
Extend `DocumentCSS` to add methods like add/remove style sheet.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`ExtendedDocumentCSS.StyleSheetChangeListener`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Integer`
`OTHER_SAC_CONDITIONAL_SELECTOR`
`static final Integer`
`OTHER_SAC_SELECTOR`
`static final Integer`
`SAC_CLASS_CONDITION`
`static final Integer`
`SAC_ID_CONDITION`
`static final Integer`
`SAC_PSEUDO_CLASS_CONDITION`

## Method Summary

Modifier and Type
Method
Description
`void`
`addStyleSheet(StyleSheet styleSheet)`
`default void`
`addStyleSheetChangeListener(ExtendedDocumentCSS.StyleSheetChangeListener listener)`
`List<?>`
`queryConditionSelector(int conditionType)`
`List<?>`
`querySelector(int selectorType, int conditionType)`
`void`
`removeAllStyleSheets()`
`default void`
`removeStyleSheetChangeListener(ExtendedDocumentCSS.StyleSheetChangeListener listener)`

### Methods inherited from interface org.w3c.dom.css.DocumentCSS

`getOverrideStyle`

### Methods inherited from interface org.w3c.dom.stylesheets.DocumentStyle

`getStyleSheets`

## Field Details

### SAC_ID_CONDITION

static final Integer SAC_ID_CONDITION

### SAC_CLASS_CONDITION

static final Integer SAC_CLASS_CONDITION

### SAC_PSEUDO_CLASS_CONDITION

static final Integer SAC_PSEUDO_CLASS_CONDITION

### OTHER_SAC_CONDITIONAL_SELECTOR

static final Integer OTHER_SAC_CONDITIONAL_SELECTOR

### OTHER_SAC_SELECTOR

static final Integer OTHER_SAC_SELECTOR

## Method Details

### addStyleSheet

void addStyleSheet(StyleSheet styleSheet)

### removeAllStyleSheets

void removeAllStyleSheets()

### queryConditionSelector

List<?> queryConditionSelector(int conditionType)

### querySelector

List<?> querySelector(int selectorType, int conditionType)

### addStyleSheetChangeListener

default void addStyleSheetChangeListener(ExtendedDocumentCSS.StyleSheetChangeListener listener)

Since:
  0.12.200

### removeStyleSheetChangeListener

default void removeStyleSheetChangeListener(ExtendedDocumentCSS.StyleSheetChangeListener listener)

Since:
  0.12.200